Bug 893342 - Start rngd by default in all installations
Summary: Start rngd by default in all installations
Keywords:
Status: CLOSED DUPLICATE of bug 857765
Alias: None
Product: Fedora
Classification: Fedora
Component: rng-tools
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tony Camuso
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-09 07:26 UTC by Amit Shah
Modified: 2014-12-10 15:18 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-10 15:18:31 UTC


Attachments (Terms of Use)

Description Amit Shah 2013-01-09 07:26:24 UTC
Description of problem:

With kernel 3.8, the kernel can source entropy from the TPM chips on Intel platforms.  This entropy can be read by rngd and fed to the kernel's entropy pool.  It could also fetch entropy from the RDRAND instruction, if available.

rngd should be started by default to take advantage of such newer hardware features.

Comment 1 Cole Robinson 2013-01-10 19:16:32 UTC
We will probably want a udev rule to only start if /dev/hwrng exists. That will still require a bug against systemd to allow autostarting though:

https://fedoraproject.org/wiki/Starting_services_by_default

Comment 2 Amit Shah 2013-01-10 19:52:32 UTC
This is also useful for virtual machines, as QEMU now has a hwrng device, virtio-rng.  Linux has had support for virtio-rng for quite a while.  virtio-rng is hooked up to the hwrng interface in the kernel, and is available via /dev/hwrng.

The TPM input, as well as RDRAND input are from different sources (not /dev/hwrng).

Comment 3 Fedora End Of Life 2013-04-03 15:14:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 4 Robert Hinson 2014-04-10 02:34:15 UTC
Seems to work if you start it manually. I think it should have a rule in /use/lib/systemd/system/rngd.service saying it should start after a certain service has started. I think it tries to start to early in the startup sequence.
It seems to work if you start it up manually by typing sudo systemctl start rngd

Same for fedora 20.

Comment 5 Henderb Rodriguez 2014-11-22 18:38:48 UTC
For me it does not start, even manually. I tried stoping and starting rngd, and with restart. It keeps repeating the same messages on system log:

Unable to open file: /dev/tpm0
can't open any entropy source
Maybe RNG device modules are not loaded

Comment 6 Henderb Rodriguez 2014-11-22 18:40:34 UTC
I am using Fedora 20, with kernel 3.16.7-200.fc20.x86_64.

Comment 7 Zbigniew Jędrzejewski-Szmek 2014-12-10 15:18:31 UTC
rngd has been enabled by default for a while.

@Henderb: if rngd does not detect your hardware, please file a separate bug, describing the rng hardware that you have, and including rngd output.

*** This bug has been marked as a duplicate of bug 857765 ***


Note You need to log in before you can comment on or make changes to this bug.